package integration_test_application

import (
	"code.fbi.h-da.de/danet/gosdn/application-framework/event"
	"github.com/stretchr/testify/assert"
)

func assertAddEvent(t assert.TestingT, addEvent event.Event, ID string) {
	assert.Equal(t, event.Add.String(), addEvent.Type)
	assert.Equal(t, ID, addEvent.EntityID.String())
}

func assertUpdateEvent(t assert.TestingT, updateEvent event.Event, ID string) {
	assert.Equal(t, event.Update.String(), updateEvent.Type)
	assert.Equal(t, ID, updateEvent.EntityID.String())
}

func assertDeleteEvent(t assert.TestingT, deleteEvent event.Event, ID string) {
	assert.Equal(t, event.Delete.String(), deleteEvent.Type)
	assert.Equal(t, ID, deleteEvent.EntityID.String())
}

func assertSubscribeEvent(t assert.TestingT, subscribeEvent event.Event, ID string) {
	assert.Equal(t, event.Subscribe.String(), subscribeEvent.Type)
	assert.Equal(t, ID, subscribeEvent.EntityID.String())
}
